View Issue Details

IDProjectCategoryView StatusLast Update
0020493mantisbtfilterspublic2017-01-31 04:02
ReporterbadfilesAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-rc.1 
Target Version2.1.0Fixed in Version2.1.0 
Summary0020493: Wrong hide_status value on column sorting
Description

If a user does not have a filter record in 'mantis_filters_table', default filter will be applied.
If the uses decides to sort a column, a record in 'mantis_filters_table' will be created with wrong 'hide_status' value '-2' instead of default.

Steps To Reproduce

Remove all records from database table 'mantis_filters_table' for a picked user.
Login as the user and sort a column.
The hide_status will change from default to 'none'.

TagsNo tags attached.

Relationships

child of 0021935 closedcproensa Filter api refactoring, manage stored filters 

Activities

cproensa

cproensa

2016-10-17 16:59

developer   ~0054254

Track as being resolved after PR 862

Issue History

Date Modified Username Field Change
2016-01-08 06:36 badfiles New Issue
2016-10-17 16:57 cproensa Assigned To => cproensa
2016-10-17 16:57 cproensa Status new => assigned
2016-10-17 16:59 cproensa Note Added: 0054254
2016-11-20 16:08 cproensa Relationship added child of 0021935
2017-01-14 17:49 cproensa Status assigned => resolved
2017-01-14 17:49 cproensa Resolution open => fixed
2017-01-14 17:49 cproensa Fixed in Version => 2.1.0
2017-01-14 17:49 cproensa Target Version => 2.1.0
2017-01-31 04:02 vboctor Status resolved => closed